module AudioFeedManager
  class AudioFile < Struct.new(:id, :title, :author, :secret_token, :extension, :size, :content_type)
    include HashConstructor

    def file_name
      "#{secret_token}#{extension}"
    end
  end
end
