module AudioFeedManager
  class Arguments
    def self.blank
      new
    end

    def self.from_hash(hash)
      new(hash)
    end

    def initialize(arguments = {})
      @arguments = arguments
    end

    def add_argument(name, value)
      arguments[name] = value
    end

    def to_hash
      arguments
    end

    private

    attr_reader :arguments
  end
end
