module AudioFeedManager
  class ConfigRepository
    takes :storage

    def load(file_name)
      attrs = storage.read(file_name) if File.exists?(file_name)
      Config.new(attrs || {})
    end

    def store(file_name, config)
      storage.store(file_name, config.to_h)
    end
  end
end
