require 'id3tag'

module AudioFeedManager
  class Id3Tags
    def read(file_name)
      return Tags.blank unless File.exist?(file_name)

      File.open(file_name, "rb") do |f|
        tags = ID3Tag.read(f)
        return Tags.new(title: tags.title, artist: tags.artist)
      end
    end
  end
end
