module AudioFeedManager
  class NewModelCreator
    takes :unique_id_generator,
      :storage,
      :secret_token_generator

    def create(object, directory:, prefix:)
      id = unique_id_generator.generate(object.title, directory)
      object.id = prefix + "/" + id
      object.secret_token = secret_token_generator.generate
      storage.store(object.id, object.to_h)
      object
    end
  end
end
